-- -----------------------------------------------------------------
-- /------------------------------------------------------------\ --
-- |															| --
-- |	MAUTH	(http://mauth.missionsix.net/ )					| --
-- |	VERSION 0.9.5											| --
-- |															| --
-- \------------------------------------------------------------/ --
-- -----------------------------------------------------------------

-- --------------------------------------------------------


--
-- ### Updating role titles in the <em>`<?php echo $TABLE_PREFIX; ?>roles`</em> table ###
-- 
REPLACE INTO `<?php echo $TABLE_PREFIX; ?>roles` (`roleid`, `parentid`, `name`) 
VALUES
	(1, 0, 'Registered User'),
	(2, 0, 'Administrator');

--
-- ### Adding the view_ip permission to the <em>`<?php echo $TABLE_PREFIX; ?>permissions`</em> table ###
-- 
REPLACE INTO `<?php echo $TABLE_PREFIX; ?>permissions`
	(`title`, `description`) 
VALUES
	('view_ip', '[[dnd]]Can view IP addresses?');

-- ### Adding role association to view IPs  ###
INSERT INTO `<?php echo  $TABLE_PREFIX; ?>role_permissions` 
	(`roleid`, `permid`, `value`) 
VALUES
	(2, (SELECT `permid` FROM `<?php echo $TABLE_PREFIX; ?>permissions` WHERE `title`='view_ip'), 1);

--
-- ### Update to current Version <em>`<?php echo  $TABLE_PREFIX; ?>store`</em> ###
--
REPLACE INTO `<?php echo  $TABLE_PREFIX; ?>store` 
(`key`,`data`) VALUES ('version','0.9.5');


