--
-- 	MAUTH	
--	http://mauth.missionsix.net
-- 	VERSION 0.9.6
-- 

-- --------------------------------------------------------

-- ### Adding role/uri association to the <em>`<?php echo $TABLE_PREFIX; ?>role_permissions`</em> table ### 
ALTER TABLE `<?php echo $TABLE_PREFIX; ?>role_permissions` ADD `uri` VARCHAR( 511 );


-- ### Updating Role-URI restrictions on <em>`<?php echo  $TABLE_PREFIX; ?>role_uri`</em> table ### 
REPLACE INTO  `<?php echo $TABLE_PREFIX; ?>role_uri` 
	(`roleid`,`uri`,`valid`)
VALUES 
	(2,'users/editrole', 1),
	(2,'users/editpermission', 1),
	(2,'users/deleterole', 1),
	(2,'users/deletepermission', 1),
	(2,'users/deleteuser',1),
	(2,'profile/edit',1);

-- ### Adding permissions to <em><?php echo $TABLE_PREFIX; ?>permissions</em> table ###
REPLACE INTO `<?php echo $TABLE_PREFIX; ?>permissions` 
	(`title`,`description`)
VALUES
	('view_roles','[[dnd]]Can view role list'),
	('view_permissions','[[dnd]]Can view role permissions');

-- ### Adding role/permissions association for new permissions ###
INSERT INTO `<?php echo  $TABLE_PREFIX; ?>role_permissions` 
	(`roleid`, `permid`, `value`)
VALUES
	(2,(SELECT `permid` FROM `<?php echo $TABLE_PREFIX; ?>permissions` WHERE `title` = 'view_roles' LIMIT 1),1),
	(2,(SELECT `permid` FROM `<?php echo $TABLE_PREFIX; ?>permissions` WHERE `title` = 'view_permissions' LIMIT 1),1);


<?php

// this was faster/ more convienent than repeating 6 queries.

$uri_perms = array(
		'view_roles' => 'users/roles',
		'view_permissions' => 'users/permissions',
		'edit_roles' => 'users/editrole',
		'edit_permissions' => 'users/editpermission',
		'delete_roles' => 'users/deleterole',
		'delete_permissions' => 'users/deletepermissin',
		'delete_user' => 'users/deleteuser',
		'edit_user' => 'profile/edit'
	);

foreach($uri_perms as $title => $uri) 
{
	echo '-- ### Updating '. $title .' association in <em>`'. $TABLE_PREFIX .'role_permissions`</em> table ###';

	echo "
		UPDATE `{$TABLE_PREFIX}role_permissions` SET `uri` = '{$uri}' 
		WHERE `permid` = (SELECT `permid` FROM `{$TABLE_PREFIX}permissions` WHERE `title` = '{$title}' LIMIT 1);
		";
}

?>

--
-- ### Update to current Version `<?php echo  $TABLE_PREFIX; ?>store` ###
--
REPLACE INTO `<?php echo  $TABLE_PREFIX; ?>store` 
(`key`,`data`) VALUES ('version','0.9.6');

