<?php 

$saved_msg = $this->session->flashdata('form_saved');

if( ! empty($saved_msg) )
	echo '<p class="success">'. $saved_msg .'</p>';


echo form_open($this->uri->uri_string, array('class' => 'form'));

echo heading('Edit Role Details', 2);


echo validation_errors('<p class="error">','</p>');

echo '<p>'. form_label('Role Name','role_name'). 
			form_input( array(
				'name' => 'role_name',
				'value' => set_value('role_name', $role['name']),
				'id' => 'role_name')) .
			form_error('role_name') .
	'</p>';
				
	echo '<p>'. form_label('Parent Role','parentid'). 
				form_dropdown('parentid', $roles, $role['parentid']) .'</p>';
				
	echo form_fieldset('Role Permissions');
	
	echo '<table class="table"><thead><tr><th>Name</th><th>Description</th><th>Role URI Association</th><th class="short">Ignore/Inherit</th><th class="short">Approve</th><th class="short">Deny</th></tr></thead><tbody>';
		
	foreach($permissions as $key => $perm) {
			
			$rolekey = -1; // set to an impossible role index.
			
			$role_check = $perm['rolevalues'];
			foreach($perm['roleids'] as $key => $roleid) {
				if($roleid == $role['roleid']) {
					$rolekey = $key;
					break;
                }
			}
		
			echo '<tr id="'. $perm['permid'] .'"><td>'. $perm['title'] .'</td><td>';
			echo (substr($perm['description'],0,7) == '[[dnd]]' ? substr($perm['description'], 7) : $perm['description']);
			echo '</td><td>';
			echo $perm['uri'];
			echo '</td><td class="short">';
			echo form_radio(array(
					'name'        => "permissions[{$perm['permid']}]",
					'value'       => '2',
					'checked'     => ($rolekey < 0 ? TRUE :  FALSE)
				)) . '</td><td class="short">';
			echo form_radio(array(
				 	'name'        => "permissions[{$perm['permid']}]",
					'value'       => '1',
					'checked'     => ( ($rolekey >= 0 && $role_check[$rolekey] == 1) ? TRUE : FALSE)
				))  .'</td><td class="short">';
			echo form_radio(array(
					'name'        => "permissions[{$perm['permid']}]",
					'value'       => '0',
					'checked'     => (( $rolekey >= 0 && $role_check["$rolekey"] == 0) ? TRUE : FALSE)
				)) .'</td></tr>';
	}
	
	echo '</tbody></table>';
	echo form_fieldset_close();

	echo form_hidden('roleid', $permid);
	echo '<p>'. form_button( array( 'content' => 'Submit Form', 'type' => 'submit' ) );
	echo form_button( array('content' => 'Reset Form', 'type' => 'reset' ) ) .'</p>';

echo form_close(); 

