<script type="text/javascript">
	function toggle_form(id) {
		
		handle = document.getElementById(id);
		if(handle.style.display == 'none') {
			handle.style.display = 'block';
		} else {
			handle.style.display = 'none';
		}
		return false;
	}
</script>

<h2>Permissions Editor</h2>

<p><button name="addpermission" onclick="javascript:return toggle_form('add_permission');">Add New Permission</button></p>
	
<?php

$saved_msg = $this->session->flashdata('form_saved');
if( ! empty($saved_msg) )
	echo '<p class="success">'. $saved_msg .'</p>';


// 
// This form allows for adding a new permission.
// It usess the CI Form Helper and Html helper
//
echo "<div id=\"add_permission\" class=\"form\" style=\"". (empty($this->form_validation->error_string) ? 'display:none;' : '') ."\">";


echo form_fieldset( '', array('style' => 'width:600px; margin:10px auto 30px auto;') );

	echo heading('Add Role Permissions', 3);

	echo '<p>Please select which roles have access to this permission. Ignoring roles allows them to inherit its parents permission value.</p>';

	echo form_open($this->uri->uri_string); 

	echo form_fieldset( 'Grant for Roles:', array('title' => 'Select which roles this permission applies to.') );

		echo '<table class="form">
			<thead>
				<tr><th>Role</th><th class="short">Ignore</th><th class="short">Grant</th><th class="short">Deny</th></tr>
			</thead><tbody>';


		foreach($roles as $role): 
			echo '<tr>';	
									
				echo  "<td>$role[name]</td>";

				echo '<td class="short">';			
					print form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]][ignore]",
									'class' => 'nofloat',
									'value' => '2', 
									'checked' => FALSE
									));
				echo '</td><td class="short">';
					print form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]][grant]",
									'class' => 'nofloat',
									'value' => '1', 
									'checked' => FALSE
				
										));
				echo '</td><td class="short">';
					echo form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]][deny]",
									'class' => 'nofloat',
									'value' => '0',
									'checked' => TRUE
									));

			echo '</td></tr>';
		endforeach;
									
		echo '</tbody></table>';
	
	echo form_fieldset_close();

	echo '<p>'. form_label('Name', 'name') . 
		form_input( array(
			'name'=> 'name',
			'id' => 'name',
			'value' => set_value('name', '')
			)) .
	 	form_error('name') . '</p>'; 
	echo '<p>'. form_label('Related URI  <span>(optional)</span>', 'uri') . 
		 form_input( array(
			'name'=> 'uri',
			'id' => 'uri',
			'value' => set_value('uri', '')
			)) .
		 form_error('uri') . '</p>'; 
	echo '<p>'. form_label('Description <span>(optional)</span>', 'description') . 
		 form_input( array(
			'name'=> 'description',
			'id' => 'description',
			'value' => set_value('description', '')
			)) .
		 form_error('description') . '</p>'; 
	
	echo '<p class="center">'. form_button( array('name'=>'submit', 'content'=>'Submit', 'type'=>'submit') );
	echo form_button( array('name'=>'reset', 'type'=>'reset', 'content'=>'Reset') );
	echo form_button( array('name' => 'close', 
							'type'=>'button', 
							'onclick' => 'javascript:return toggle_form(\'add_permission\');', 
							'title' => 'Close this form',
							'content' => 'X' ) ) .'</p>';
	
	echo form_close();
	
echo form_fieldset_close();
?>
</div>


<h4>Permissions</h4>
<table class="table">
	<thead>
		<tr><th class="stat">Perm ID</th><th>Name</th><th>Description</th><th>Associated URI</th><th>Roles</th><th class="short">Controls</th></tr>
	</thead>
<tbody>
<?php

foreach($permissions as $key => $perm):
		print '<tr>';
				print "<td class=\"stat\">$perm[permid]</td><td>$perm[title]</td>";
				print "<td>". (substr($perm['description'],0,7) == '[[dnd]]' ? substr($perm['description'], 7) : $perm['description']) ."</td>";
				
				// role association
				print "<td>$perm[uri]</td>";
	
				print 	"<td>";
				$role_check =  $perm['rolevalues'];
				
				foreach($perm['roleids'] as $key => $roleid): 
						if($role_check[$key] == 1):
							print form_checkbox(array(	
											'id'		=>	'perm['. $perm['permid'] .']['. $roleid .']',
											'name'		=>	'perm['. $perm['permid'] .']['. $roleid .']',
											'value'		=>	'1',
											'disabled'	=> 'disabled',
											'checked'	=> ($role_check[$key] == 1 ? TRUE : FALSE)
											)
										);
							print  ' <label for="perm['.$perm['permid'].']['.$roleid .']" class="nofloat">'. $perm['rolenames'][$key] .'</label> ';	
						endif;
				endforeach;
				print "</td>";
				
				print "<td class='short'>". anchor('users/editpermission/'. $perm['permid'], 'edit');
				
				if(substr($perm['description'], 0, 7) != '[[dnd]]'):
					print  anchor('users/deletepermission/'. $perm['permid'],'delete') .'</td>';
				endif;
		print '</tr>';
endforeach; ?>

</tbody>
</table>
