<?php
/*
	This file displays a registration form. You can edit it if 
	you like and include profile information that is required
	or optional on registration.  There is a Mauth Hook point
	in the registration auth controller which allows you to
	add custom code to be able to process the form.

	see:  http://mauth.missionsix.net/user_guide/hooks
*/
echo heading('Complete your Registration', 1);

echo form_open( $this->uri->uri_string, array('class' => 'form') );

echo form_fieldset('Step 3');

echo '<p>'. 
	form_label('User Name', 'username') .
	form_input( array(
		'name' => 'username',
		'id' => 'username',
		'value' => set_value('username', $username),
		'tabindex' => 101
	)) .
	form_error('username') .
	'</p>';		
echo '<p>'. 
	form_label('Email Address', 'useremail') .
	form_input( array(
		'type' => 'email',
		'name' => 'useremail',  // this is named `useremail` because we don't want the user to be able to edit it.
		'id' => 'useremail',
		'value' => set_value('email', $email),
		'tabindex' => 102,
		'disabled' => 'disabled'
	)) .
	form_error('email') .
	'</p>';
echo '<p>'. 
	form_label('Password', 'password') .
	form_input( array(
		'name' => 'password',
		'id' => 'password',
		'type' => 'password',
		'value' => '',
		'tabindex' => 103,
	)) .
	form_error('password') .
	'</p>';
echo '<p>'. 
	form_label('Confirm Password', 'passconf') .
	form_input( array(
		'name' => 'passconf',
		'id' => 'passconf',
		'type' => 'password',
		'value' => '',
		'tabindex' => 104,
	)) .
	form_error('passconf') .
	'</p>';

echo '<p>'.
	form_button( array('type' => 'submit', 'content' => 'Complete Registration') ) .'</p>';

echo form_hidden('email', set_value('email', $email) );
echo form_hidden('do', 'complete_registration');

echo form_fieldset_close() . form_close();

