-- -----------------------------------------------------------------
-- /------------------------------------------------------------\ --
-- |															| --
-- |	MAUTH	(http://mauth.missionsix.net/)					| --
-- |	VERSION 0.6.0											| --
-- |															| --
-- \------------------------------------------------------------/ --
-- -----------------------------------------------------------------

-- 
--	### Removing unused tables... ###
--

DROP TABLE 	`<?php echo  $TABLE_PREFIX; ?>albums`, 
			`<?php echo  $TABLE_PREFIX; ?>album_images`, 
			`<?php echo  $TABLE_PREFIX; ?>images`, 
			`<?php echo  $TABLE_PREFIX; ?>profile_images`;

--  --------------------------------------------------------

--
-- ### Fixing `<?php echo  $TABLE_PREFIX; ?>permissions` Table ###
--

DROP TABLE `<?php echo $TABLE_PREFIX; ?>permissions`;


CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>_permissions` (
  `permid` int(12) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`permid`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;


--
-- ### Dumping data for  `<?php echo  $TABLE_PREFIX; ?>permissions` table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>permissions` (`permid`, `title`, `description`) VALUES
	(1, 'edit_permissions', '[[dnd]]Can edit permissions?'),
	(2, 'add_permissions', '[[dnd]]Can add permissions?'),
	(3, 'edit_roles', '[[dnd]]Can add roles?'),
	(4, 'add_roles', '[[dnd]]Can add roles? '),
	(5, 'delete_user', '[[dnd]]Can delete users?'),
	(6, 'edit_user', '[[dnd]]Can edit user?'),
	(7, 'admin', '[[dnd]]Can access admin panel?');

-- --------------------------------------------------------

--
-- ### Dumping data for `<?php echo  $TABLE_PREFIX; ?>role_permissons` table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>role_permissions` (`roleid`, `permid`, `value`) VALUES
	(2, 1, 1),
	(2, 2, 1),
	(2, 3, 1),
	(2, 4, 1),
	(2, 5, 1),
	(2, 6, 1),
	(2, 7, 1);

-- --------------------------------------------------------

--
-- ### Fix `<?php echo  $TABLE_PREFIX; ?>users` table. ###
-- 

ALTER TABLE `<?php echo  $TABLE_PREFIX; ?>users` DROP `salt`;

ALTER TABLE `<?php echo  $TABLE_PREFIX; ?>users` ADD `joined` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP AFTER `password` 
 
-- --------------------------------------------------------

--
-- ### Update to current Version `<?php echo  $TABLE_PREFIX; ?>store` ###
--

REPLACE INTO `<?php echo  $TABLE_PREFIX; ?>store` 
(`key`,`data`) VALUES ('version','0.6.0');
