
<h2>Oops! You forgot to Enable Hooks!</h2>

<p>It appears that you have no properly configured mauth before the install process. 
</p>
<p>You must <strong>Enable Hooks</strong> in</p>
 <pre>application/config/config.php</pre>


<p>Mauth also requires subclassing for it to be initialized.  You have two options for subclassing.</p>

<h4>1.  Set the subclass prefix variable to</h4>
<pre>$config['subclass_prefix'] = 'Mauth_';</pre>

<h4>2.  Rename the following Mauth Subclasses to match your subclass prefix </h4>
<pre>application/libraries/Mauth_Controller.php
application/libraries/Mauth_Hooks.php</pre>


<p>Once enabled, add the <strong>Mauth hook</strong> to the following file.</p>
<pre>application/config/hooks.php</pre>
<p>There is an example in </p>
<pre>application/config/hooks_example.php</pre>



<h3>Thank you for choosing Mauth!</h3>