<?php 

$saved_msg = $this->session->flashdata('form_saved');

if( ! empty($saved_msg) )
	print '<p class="success">'. $saved_msg .'</p>';

print validation_errors('<p class="error">','</p>');


echo form_open($this->uri->uri_string, array('class' => 'form'));

echo heading('Edit Permissiong Details', 2);

	echo '<p>Please select which roles have access to this permission. Ignoring roles allows them to inherit its parents permission value.</p>';

	echo form_open($this->uri->uri_string); 

	echo form_fieldset( 'Grant for Roles:', array('title' => 'Select which roles this permission applies to.') );

		echo '<table class="form">
			<thead>
				<tr><th>Role</th><th class="short">Ignore/Inherit</th><th class="short">Grant</th><th class="short">Deny</th></tr>
			</thead><tbody>';


		$role_check = array();

		foreach( $permission['rolevalues'] as $k => $v ) {
			$role_check[ $permission['roleids'][$k] ] = $v;
		}

		foreach($roles as $role): 
				
			$checked = ( isset( $role_check[$role['roleid']] ) ? $role_check[$role['roleid']] : 2 );

			echo "<tr> <td>$role[name]</td>";
				echo '<td class="short">';
		
					echo form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]][ignore]",
									'class' => 'nofloat',
									'value' => '2', 
									'checked' => ($checked == 2 ? TRUE : FALSE)
									));
				echo '</td><td class="short">';
					echo form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]][grant]",
									'class' => 'nofloat',
									'value' => '1', 
									'checked' => ($checked == 1 ? TRUE : FALSE)
				
										));
				echo '</td><td class="short">';
					echo form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]][deny]",
									'class' => 'nofloat',
									'value' => '0',
									'checked' => ($checked == 0 ? TRUE : FALSE)
									));

			echo '</td></tr>';
		endforeach;
									
		echo '</tbody></table>';
	
	echo form_fieldset_close();

	echo '<p>'. form_label('Name', 'name') . 
		form_input( array(
			'name'=> 'name',
			'id' => 'name',
			'value' => set_value('name', $permission['title'])
			)) .
	 	form_error('name') . '</p>'; 
	echo '<p>'. form_label('Related URI  <span>(optional)</span>', 'uri') . 
		 form_input( array(
			'name'=> 'uri',
			'id' => 'uri',
			'value' => set_value('uri', $permission['uri'])
			)) .
		 form_error('uri') . '</p>'; 
	echo '<p>'. form_label('Description <span>(optional)</span>', 'description') . 
		 form_input( array(
			'name'=> 'description',
			'id' => 'description',
			'value' => set_value('description', $permission['description'])
			)) .
		 form_error('description') . '</p>'; 
	echo form_hidden('permid', $permission['permid']);	

	echo '<p class="center">'. form_button( array( 'content'=>'Submit', 'type'=>'submit') );
	echo form_button( array( 'type'=>'reset', 'content'=>'Reset') );

echo form_close();

