<?php echo heading('Editing profile: '. $username, 1); ?>

<div class="left center" style="margin:0 2em 2em 0;">
<?php echo img( array( 'src' => $avatar, 'alt' => $username .'\'s avatar') );
if( $userid == $this->session->userdata('userid') )
	echo '<p>'. anchor('http://gravatar.com/', 'change picture', array('title' => 'Change your gravatar')) .'</p>';
?>
</div>

<div class="left clearfix">

<?php
echo form_open( $this->uri->uri_string, array('class' => 'form')); 

if( $this->permissions->CAN_edit_user && $this->permissions->CAN_admin ) {
	echo heading( form_dropdown('roleid', $roles, $roleid), 2);
} else {
	echo heading( $rolename, 2 );
}


	echo '<p>'. form_label('Username', 'username') . 
				form_input( array(
					'name' => 'username', 
					'value' => set_value('username', $username),
					'disabled' => 'disabled',
					'id' => 'username',
					'maxlength' => $this->config->item('max_username_length','mauth') ))  .
				form_error('username'). '</p>';
	echo '<p>'. form_label('Email', 'email') . 
				form_input( array(
					'name' => 'email',
					'value' => set_value('email', $email),
					'disabled' => 'disabled',
					'id' => 'email')) .
				form_error('email'). '</p>';
	echo '<p>'. form_label('Website', 'website')  . 
				form_input( array(
					'name' => 'website',
					'value' => set_value('website', $website),
					'id' => 'website')) .
				form_error('website'). '</p>';

	echo '<p>'. form_button( array('name'=>'submit', 'content'=>'Update Profile', 'type'=>'submit') );
	echo form_button( array('name'=>'reset', 'type'=>'reset', 'content'=>'Reset') ) . '</p>';

echo form_close(); ?>
</div>
